%define name deadftp
%define version 0.1.1
%define release 3mdk

Summary:	A Graphical FTP client
Name:		%name
Version:	%version
Release:	%release
Copyright:	GPL
Group:		Networking/File transfer
Source:		%name-%version.tar.bz2
URL:		http://deadftp.sourceforge.net/ 
BuildRoot: 	%_tmppath/%name-buildroot
Requires:       gnome-libs >= 1.2.0 libglade >= 0.11 libxml >= 1.8.9

%description
DeadFTP is a graphical FTP client for GNOME.  

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%configure

%make

%install

%makeinstall

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/deadftp"\
title="Deadftp"\
longtitle="A graphical FTP client"\
needs="x11"\
section="Networking/File transfer"
EOF
)
 
%post
%update_menus
  
%postun
%clean_menus   

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/*
%{_datadir}/gnome/help/deadftp
%{_datadir}/deadftp
%{_datadir}/pixmaps/deadftp.png
%{_menudir}/*

%changelog
* Mon Jan 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.1-3mdk
- rebuild

* Tue Nov 14 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.1-2mdk
- new in contribs
